Bug 441169 - In F9b GeForce 7000M (rev a2) will not work
In F9b GeForce 7000M (rev a2) will not work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-06 19:48 EDT by Jim Cornette
Modified: 2009-07-14 13:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from runlevel 3 trying to use nv driver (10.59 KB, text/plain)
2008-04-06 19:48 EDT, Jim Cornette
no flags Details

  None (edit)
Description Jim Cornette 2008-04-06 19:48:33 EDT
Description of problem:
With a new install, the vesa driver was chosen. nv does not bring up X
00:12.0 VGA compatible controller: nVidia Corporation GeForce 7000M (rev a2)
(rev a2) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Unknown device 30ea
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping-
SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at f4000000 (64-bit, non-prefetchable) [size=16M]
	Capabilities: [48] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
		Address: 0000000000000000  Data: 0000
	Kernel modules: nvidiafb


Version-Release number of selected component (if applicable):

xorg-x11-drv-nv-2.1.8-1.fc9.x86_64

How reproducible:
edit xorg.conf or try to create a new file using s-c-display --reconfig and
select the nv driver.

Steps to Reproduce:
1. edit out vesa
2. add nv
3. launch X, runlevel 3 or when gdm fails to launch
  
Actual results:

screen not found with a ling delay before returned to prompt.

Expected results:
nv to work since GPU is NVidia

Additional info:
Attached Xorg.0.log
Comment 1 Jim Cornette 2008-04-06 19:48:33 EDT
Created attachment 301449 [details]
log from runlevel 3 trying to use nv driver
Comment 2 Matěj Cepl 2008-04-09 08:15:45 EDT
nv doesn't support (especially newer) nVidia chips equally well (or poorly,
depending on your opinion about nv driver). You can try nouveau driver but it is
still pretty raw and not stable enough (most of the time, it works well for some
people).
Comment 3 Jim Cornette 2008-04-09 11:56:11 EDT
Alright, I'll count out the nv driver from ever working with this video card. I 
tried nouveau and it locks up with two a characters with an accent above them 
and with a flashing character that looks like e cent sign but as a capital C 
would look.

I was hoping that the nv driver would work but did not know the ID for this GPU 
type.
Comment 4 Bug Zapper 2008-05-14 04:59:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:01:27 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:35:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.